<?php
$content = $this->content;
$setting = $this->setting;
$type    = $setting->getSetting( 'type', 'video' );
?>
<div class="ipcpop-video-fields">

    <?php
    //Title
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-video-title"><?php _e( 'Title', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <input type="text" id="input-video-title" class="ipbe-input ipbe-input-full" name="video_title" value="<?php echo $setting->getSetting( 'video_title' ); ?>">
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'The title for the content video block.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Info
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-video-info"><?php _e( 'Info', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <textarea id="input-video-info" class="ipbe-input ipbe-input-full" name="video_info"><?php echo $setting->getSetting( 'video_info' ); ?></textarea>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'The info for the content video block.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Video URL
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-video-url"><?php _e( 'Youtube Video URL', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <input type="text" id="input-video-url" class="ipbe-input ipbe-input-full" name="video_url" value="<?php echo $setting->getSetting( 'video_url' ); ?>">
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'The URL for the youtube video.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Redirect URL
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-video-redirect-url"><?php _e( 'Redirect URL', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <input type="text" id="input-video-redirect-url" class="ipbe-input ipbe-input-full" name="video_redirect_url" value="<?php echo $setting->getSetting( 'video_redirect_url' ); ?>">
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'After the video is finished it will be redirected to this URL.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input Size
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-video-width"><?php _e( 'Size', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $width = $setting->getSetting( 'video_width' );
                ?>
                <div class="ipbe-input-addon">Width</div>
                <input type="text" id="input-video-width" class="ipbe-input ipbe-input-xxs" name="video_width" value="<?php echo $width; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            <span class="mx5">X</span>
            <div class="ipbe-input-group">
                <?php
                $height = $setting->getSetting( 'video_height' );
                ?>
                <div class="ipbe-input-addon">Height</div>
                <input type="text" id="input-video-height" class="ipbe-input ipbe-input-xxs" name="video_height" value="<?php echo $height; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The size (in pixel) of the youtube video.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input autoplay
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-video-autoplay"><?php _e( 'Autoplay', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( 'video_autoplay', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp-popper-pro' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp-popper-pro' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="video_autoplay" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Is the video automatically plays when the content popup is displayed?', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
</div>