<?php
$content = $this->content;
$setting = $this->setting;
?>
<div id="ipcpop-section-effect" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-magic"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Effect', 'wp-popper-pro' ); ?></h3>
                <p><?php _e( 'Settings effect of your content popup.', 'wp-popper-pro' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">

            <?php
            //Content Effect
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-12">
                    <label for="input-content-effect"><?php _e( 'Content Show Effect', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-md-9 col-sm-12">

                    <select name="content_effect" id="input-content-effect">
                        <?php
                        $current = $setting->getSetting( 'content_effect', 'none' );
                        $effects = array(
                            'none'      => __( 'None', 'wp-popper-pro' ),
                            'linear'    => __( 'Linear', 'wp-popper-pro' ),
                            'bounce'    => __( 'Bounce', 'wp-popper-pro' ),
                            'back'      => __( 'Back', 'wp-popper-pro' ),
                            'elastic'   => __( 'Elastic', 'wp-popper-pro' ),
                            'expo'      => __( 'Expo', 'wp-popper-pro' )
                        );
                        foreach( $effects as $key => $label )
                        {
                            $sltd = '';
                            if ( $current == $key ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The type of effect that is executed when the content popup is displayed.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <?php
            //Form Effect
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-12">
                    <label for="input-box-effect"><?php _e( 'Secondary Popup Show Effect', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-md-9 col-sm-12">

                    <select name="box_effect" id="input-box-effect">
                        <?php
                        $current = $setting->getSetting( 'box_effect', 'none' );
                        $effects = array(
                            'none'      => __( 'None', 'wp-popper-pro' ),
                            'linear'    => __( 'Linear', 'wp-popper-pro' ),
                            'bounce'    => __( 'Bounce', 'wp-popper-pro' ),
                            'back'      => __( 'Back', 'wp-popper-pro' ),
                            'elastic'   => __( 'Elastic', 'wp-popper-pro' ),
                            'expo'      => __( 'Expo', 'wp-popper-pro' )
                        );
                        foreach( $effects as $key => $label )
                        {
                            $sltd = '';
                            if ( $current == $key ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The type of effect that is executed when the option form is displayed.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Content Show Audio
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-12">
                    <label for="input-content-audio"><?php _e( 'Content Show Audio', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-md-9 col-sm-12">

                    <select id="input-content-audio" class="ipbe-input" name="content_audio">
                        <option value="0"> <?php _e( 'No Audio', 'wp-popper-pro' );  ?> </option>
                        <?php
                        $audio   = absint( $setting->getSetting( 'content_audio', 0 ) );
                        $options = range(1,5);
                        foreach( $options as $key ) {
                            $sltd = '';
                            if ( $key == $audio ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The sound effect when the content popup is displayed.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Optin Form Show Audio
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-12">
                    <label for="input-box-audio"><?php _e( 'Secondary Popup Show Audio', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-md-9 col-sm-12">

                    <select id="input-box-audio" class="ipbe-input" name="box_audio">
                        <option value="0"> <?php _e( 'No Audio', 'wp-popper-pro' );  ?> </option>
                        <?php
                        $audio   = absint( $setting->getSetting( 'box_audio', 0 ) );
                        $options = range(1,5);
                        foreach( $options as $key ) {
                            $sltd = '';
                            if ( $key == $audio ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The sound effect when the optin form is displayed.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
        
        </div>
        
    </div>
</div>