<?php
$content = $this->content;
?>
<div id="ipcpop-section-general" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'General', 'wp-popper-pro' ); ?></h3>
                <p><?php _e( 'Basic settings and info of your content popup', 'wp-popper-pro' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-title"><?php _e( 'Title', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <?php
                    $title = '';
                    if ( $content ) {
                        $title = stripslashes( $content->post_title );
                    }
                    ?>
                    <input type="text" id="input-title" class="ipbe-input ipbe-input-full ipbe-input-v-lg" name="title" value="<?php echo $title; ?> ">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The title of the content popup. This data will not be used directly in shaping the content popup only to mark the content popup, so it easier for you to manage it.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-permalink"><?php _e( 'Content Type', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $options = array(
                        'video'     => __( 'Video', 'wp-popper-pro' ),
                        'image'     => __( 'Image', 'wp-popper-pro' ),
                        'text'      => __( 'Text', 'wp-popper-pro' ),
                        'product'   => __( 'Product', 'wp-popper-pro' ),
                        'profile'   => __( 'Profile', 'wp-popper-pro' ),
                        'article'   => __( 'Article', 'wp-popper-pro' )
                    );
                    
                    if ( $content ) :
                        $type = $this->setting->getSetting( 'type' );
                        echo '<span class="ipbe-label ipbe-label-default">' . $options[$type] . '</span>';
                    ?>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'You can not change the content type.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                    <?php
                    else :
                    ?>
                    <select name="type" id="input-content-type">
                        <?php
                        foreach( $options as $key => $label ) 
                        {
                            $sltd = '';
                            if ( $key == $type ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="'. $key . '"'. $sltd . '>'.$label.'</option>';
                        }
                        ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The type of content popup.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                    <?php
                    endif;
                    ?>
                </div>
            </div>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-status"><?php _e( 'Status', 'wp-popper-pro' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
            
                <div class="ipbe-btn-onoff">
                    <?php
                    $val  = 'true';
                    if ( $content && $content->post_status == 'draft' ) {
                        $val = 'false';
                    }
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Publish', 'wp-popper-pro' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Draft', 'wp-popper-pro' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="status" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Determines the status of the content popup whether the page will be viewable by the public or not. If set to draft the URL to access the page will generate an error page not found.', 'wp-popper-pro' ); ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-restricted"><?php _e( 'Restricted User', 'wp-popper-pro' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
            
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $this->setting->getSetting( 'restricted', 'false' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp-popper-pro' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp-popper-pro' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="restricted" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Decides whether to tighten the content popup where only logged-in user can view the page.', 'wp-popper-pro' ); ?>
                    </div>
                </div>
            </div>
        </div>

        </div>
        
    </div>
</div>