<?php
$content = $this->content;
$setting = $this->setting;
?>
<div id="ipcpop-section-form" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-list-alt"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Secondary Popup', 'wp-popper-pro' ); ?></h3>
                <p><?php _e( 'Settings for the secondary popup that displayed after the main content popup.', 'wp-popper-pro' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            
            <?php
            //Activate Secondary Popup
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-activate-second-popup"><?php _e( 'Activate Secondary Popup', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                    <div class="ipbe-btn-onoff">
                        <?php
                        $val = $setting->getSetting( 'activate_second_popup', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp-popper-pro' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp-popper-pro' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="activate_second_popup" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Specifies whether to display the secondary popup.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Delay
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-interval-display"><?php _e( 'Interval Display', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                    <div class="ipbe-input-group">
                        <?php
                        $interval = $setting->getSetting( 'interval_display', 5 );
                        ?>
                        <input type="text" id="input-interval-display" class="ipbe-input ipbe-input-xxs" name="interval_display" value="<?php echo $interval; ?>">
                        <div class="ipbe-input-addon">second</div>
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The interval time for displaying secondary popup.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Form
            $this->view( 'manage/secondary/form' );
            //Buy Button
            $this->view( 'manage/secondary/buy-button' );
            //Social links
            $this->view( 'manage/secondary/social' );
            ?>

        </div>
        
    </div>
</div>