<?php
$content = $this->content;
$setting = $this->setting;
?>
            <h3 class="ipbe-field-title py10"><?php _e( 'Optin Form Settings', 'wp-popper-pro' ); ?></h3>
            
            <?php
            //Activate form
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-activate-form"><?php _e( 'Show/Hide Optin Form', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                    <div class="ipbe-btn-onoff">
                        <?php
                        $val = $setting->getSetting( 'activate_form', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp-popper-pro' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp-popper-pro' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="activate_form" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Specifies whether to display the optin form.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
            //Form Title
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-responder-title"><?php _e( 'Form Title', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <?php
                    $title = stripslashes( $setting->getSetting( 'responder_title', '' ));
                    ?>
                    <input type="text" id="input-responder-title" class="ipbe-input ipbe-input-full ipbe-input-preview" name="responder_title" value="<?php echo $title; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the title for the optin form.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
                    
            <?php
            //Form Info
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-responder-info"><?php _e( 'Form Info', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <?php
                    $info = stripslashes( $setting->getSetting( 'responder_info', '' ));
                    ?>
                    <input type="text" id="input-responder-info" class="ipbe-input ipbe-input-full ipbe-input-preview" name="responder_info" value="<?php echo $info; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the info for the optin form.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
                    
            <?php
            //Form Code
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-autoresponder-code"><?php _e( 'Form Code', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field">
                    
                    <?php
                    $code = $setting->getSetting( 'autoresponder_code', '' );
                    ?>
                    <textarea class="ipbe-input ipbe-input-full ipcpop-input-optin" id="input-autoresponder-code" name="autoresponder_code" rows="7"><?php echo $code; ?></textarea>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Code of autoresponder form which can be obtained from the online email marketing you use such as MailChimp, AWeber', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            $hdisplay = ' style="display:none;"';
            if ( ! empty( $code ) ) {
                $hdisplay = '';
            }
            $data = IPCpop_Form::parse( $code );
            ?>
            <div id="ipcpop-autoresponder-settings" class="ipcpop-optin-settings"<?php echo $hdisplay; ?>>
                            
                <?php
                //Form Action URL
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-autoresponder-action"><?php _e( 'Action URL', 'wp-popper-pro' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                        
                        <?php
                        $action = $setting->getSetting( 'autoresponder_action', $data['action'] );
                        ?>
                        <input type="text" id="input-autoresponder-action" class="ipbe-input ipbe-input-full" name="autoresponder_action" value="<?php echo $action; ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'The url of the script that will handle the optin form', 'wp-popper-pro' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                            
                <?php
                //Form Email Field
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-autoresponder-email"><?php _e( 'Form Email Field', 'wp-popper-pro' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                        <select name="autoresponder_email" id="input-autoresponder-email">
                            <option value="0">-- <?php _e( 'Select field', 'wp-popper-pro' ); ?> --</option>
                            <?php
                            $value = stripslashes( $setting->getSetting( 'autoresponder_email', '' ) );
                            if ( ! empty( $data['fields'] )) {
                                foreach( $data['fields'] as $field ) {
                                    $sltd = '';
                                    if ( $field == $value ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                }
                            }
                            ?>
                        </select>
                        <?php
                        $label = stripslashes( $setting->getSetting( 'autoresponder_email_label', '' ) );
                        ?>
                        <input class="ipbe-input ipbe-input-full mt10" type="text" id="input-autoresponder-email-label" value="<?php echo $label; ?>" name="autoresponder_email_label" placeholder="<?php _e( 'Input email label', 'wp-popper-pro' ); ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the input of the email optin form. Select a name that represents an email input and specify the title of the email input', 'wp-popper-pro' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                            
                <?php
                //Form Name Field
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-autoresponder-name"><?php _e( 'Form Name Field', 'wp-popper-pro' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                        <div class="ipbe-btn-onoff mr10">
                            <?php
                            $val = $setting->getSetting( 'autoresponder_name_activate', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp-popper-pro' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp-popper-pro' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="autoresponder_name_activate" value="<?php echo $val; ?>" />
                        </div>
                        
                        <select name="autoresponder_name" id="input-autoresponder-name">
                            <option value="0">-- <?php _e( 'Select field', 'wp-popper-pro' ); ?> --</option>
                            <?php
                            $value = stripslashes( $setting->getSetting( 'autoresponder_name', '' ) );
                            if ( ! empty( $data['fields'] )) {
                                foreach( $data['fields'] as $field ) {
                                    $sltd = '';
                                    if ( $field == $value ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                }
                            }
                            ?>
                        </select>
                        <?php
                        $label = stripslashes( $setting->getSetting( 'autoresponder_name_label', '' ) );
                        ?>
                        <input class="ipbe-input ipbe-input-full mt10" type="text" id="input-autoresponder-name-label" value="<?php echo $label; ?>" name="autoresponder_name_label" placeholder="<?php _e( 'Input name label', 'wp-popper-pro' ); ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the input name of the optin form. You can set whether to display the input name or not. if shown you should choose a name that represents the input name and determine the title of the input name', 'wp-popper-pro' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
                            
            <?php
            //Show/Hide Form Label
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-autoresponder-form-label"><?php _e( 'Show/Hide Form Label', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                    <div class="ipbe-btn-onoff">
                        <?php
                        $val = $setting->getSetting( 'autoresponder_form_label', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp-popper-pro' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp-popper-pro' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="autoresponder_form_label" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Specifies whether to display the label on each input form. If set to off, the label will be displayed as a placeholder in the input.', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>
                            
            <?php
            //Button Text
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-autoresponder-button-text"><?php _e( 'Submit Button Text', 'wp-popper-pro' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                    <?php
                    $text = $setting->getSetting( 'autoresponder_button_text', '' );
                    ?>
                    <input class="ipbe-input ipbe-input-full" type="text" id="input-autoresponder-button-text" value="<?php echo $text; ?>" name="autoresponder_button_text">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Specifies text or labels of the form submit button', 'wp-popper-pro' ); ?>
                        </div>
                    </div>
                </div>
            </div>