<?php
$setting    = $this->setting;
$main_class = $this->get_main_class();
$main_style = $this->get_main_style();
$layout     = $setting->getSetting( 'profile_content_style', 'image_left' );
if ( $layout == 'image_top' ) {
    $align = 'center';
} else {
    $align = 'left';
}
?>
<div class="ipcpop_content ipcpop_content_profile ipcpop_profile_<?php echo $layout; ?>">
    <div class="ipcpop_main <?php echo $main_class; ?>" style="<?php echo $main_style; ?>">
        
        <div class="ipcpop_clear">
            <div class="ipcpop_profile_thumbnail">
                <?php
                if ( $imageid = $setting->getSetting( 'profile_photo' ) ) 
                {
                    $data   = wp_get_attachment_image_src( $imageid, 'full' );
                    $src    = $data[0];
                    $imgtag = '<img src="' . $src . '" alt="">';
                    echo $imgtag;
                }
                ?>
            </div>
            <div class="ipcpop_profile_main">
                <h3 class="ipcpop_profile_title">
                    <?php
                    $name = $setting->getSetting( 'profile_name' );
                    if ( $url = $setting->getSetting( 'profile_url' )) {
                        echo '<a href="' . $url . '">' . $name . '</a>';
                    } else {
                        echo $name;
                    }
                    ?>
                </h3>
                
                <?php
                if ( $info = $setting->getSetting( 'profile_info' )) :
                ?>
                    <h4 class="ipcpop_profile_info">
                        <?php echo $info; ?>
                    </h4>
                <?php
                endif;
                ?>
                
                <div class="ipcpop_profile_desc">
                    <?php
                    echo $setting->getSetting( 'profile_content' );
                    ?>
                </div>
                
                <?php
                //Social links
                $fb = $setting->getSetting( 'profile_facebook' );
                $tw = $setting->getSetting( 'profile_twitter' );
                $li = $setting->getSetting( 'profile_linkedin' );
                $pi = $setting->getSetting( 'profile_pinterest' );
                $gp = $setting->getSetting( 'profile_google_plus' );
                
                if ( $fb && $tw && $li && $pi && $gp ) :
                    
                    $istyle  = $setting->getSetting( 'profile_social_style' );
                    $class   = 'ipcpop_social_main';
                    $class  .= ' ipcpop_social_' . $istyle;
                    $class  .= ' ipcpop_social_md';
                ?>
                
                <div class="ipcpop_profile_social ipcpop_social">
                    <div class="<?php echo $class; ?>" style="text-align:<?php echo $align; ?>;">
                        <div class="ipcpop_social_links">
                        <?php
                        if ( $fb ) {
                            echo '<a href="' . $fb . '" class="ipcpop_social_link ipcpop_facebook"><i class="ibe ibe-facebook"></i></a>';
                        }
                        if ( $tw ) {
                            echo '<a href="' . $tw . '" class="ipcpop_social_link ipcpop_twitter"><i class="ibe ibe-twitter"></i></a>';
                        }
                        if ( $li ) {
                            echo '<a href="' . $li . '" class="ipcpop_social_link ipcpop_linkedin"><i class="ibe ibe-linkedin"></i></a>';
                        }
                        if ( $pi ) {
                            echo '<a href="' . $pi . '" class="ipcpop_social_link ipcpop_pinterest"><i class="ibe ibe-pinterest"></i></a>';
                        }
                        if ( $gp ) {
                            echo '<a href="' . $gp . '" class="ipcpop_social_link ipcpop_google-plus"><i class="ibe ibe-google-plus"></i></a>';
                        }
                        ?>
                        </div>
                    </div>
                </div>
                
                <?php
                endif;
                
                $button = $setting->getSetting( 'profile_button' ); 
                if ( $button && $url ) 
                {
                    $btnstyle = $setting->getSetting( 'profile_button_style', 'flat' );
                    $btncolor = $setting->getSetting( 'profile_button_color', 'clean' );
                    $btnsize  = $setting->getSetting( 'profile_button_size', 'md' );
                    $btnclass = 'ipcpop_btn ipcpop_btn_'.$btnstyle.' ipcpop_btn_'.$btncolor.' ipcpop_btn_'.$btnsize;
            
                    echo '<a href="' . $url . '" class="' . $btnclass . '">' . $button . '</a>';
                }
                ?>
            </div>
        </div>
        
    </div>
</div>